#
# spec file for package cookiecutter-doc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           cookiecutter-doc
Version:        1.5.0
Release:        3.1
License:        BSD-3-Clause
Summary:        A command-line utility that creates projects from project templates
Url:            https://github.com/audreyr/cookiecutter
Group:          Development/Languages/Python
Source:         https://pypi.io/packages/source/c/cookiecutter/cookiecutter-%{version}.tar.gz
Source1:        ccext.py
BuildRequires:  python3-Sphinx
BuildRequires:  python3-binaryornot >= 0.2.0
BuildRequires:  python3-click >= 5.0
BuildRequires:  python3-future >= 0.15.2
BuildRequires:  python3-Jinja2 >= 2.7
BuildRequires:  python3-jinja2-time >= 0.1.0
BuildRequires:  python3-poyo >= 0.1.0
BuildRequires:  python3-whichcraft >= 0.4.0

#BuildRequires:  cookiecutter
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A command-line utility that creates projects from **cookiecutters** (project
templates), e.g. creating a Python package project from a Python package
project template.

This package contains the documentation for cookiecutter.

%prep
%setup -q -n cookiecutter-%{version}
cp %{SOURCE1} docs

%build
python3 setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
# Only building documentation

%files
%defattr(-,root,root,-)
%doc LICENSE build/sphinx/html

%changelog
* Fri Feb  3 2017 hpj@urpla.net
- version 1.5.0: initial build
